%define name aee
%define version 2.2.15b
%define release 1mdk

Summary: An easy to use text editor.
Name: %{name}
Version: %{version}
Release: %{release}
License: Artistic
Group: Editors
URL: http://mahon.cwx.net/
Source: %{name}-%{version}.tar.bz2
#Patch: aee-2.2.0-dir_location.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: XFree86-devel

%description
An easy to use text editor. Intended to be usable with little or no
instruction. Provides both a terminal (curses based) interface and native
X-Windows interface (in which case the executable is called xae). Features
include pop-up menus, journalling (to recover from system crash or loss of
connection), cut-and-paste, multiple buffers (associated with files or not),
and much more.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch -p1 -b .orig_locations

%build
make both

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib/aee,share/man/man1}
install -m 755 aee $RPM_BUILD_ROOT%{_bindir}
install -m 755 xae $RPM_BUILD_ROOT%{_bindir}
install -m 644 aee.1 $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 644 help.ae $RPM_BUILD_ROOT%{_libdir}/aee
(
	cd $RPM_BUILD_ROOT/usr/bin
	ln -s aee rae
	ln -s xae rxae
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Artistic README.aee aee.1.ps aee.i18n.guide keypad
%{_bindir}/*
%dir %{_libdir}/aee
%{_libdir}/aee/help.ae
%{_mandir}/man1/*

%changelog
* Thu Sep 04 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.2.15b-1mdk
- 2.2.15b

* Wed Apr 30 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.2.15a-2mdk
- distlint fix
- Buildrequires

* Sun Dec 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.2.15a-1mdk
- 2.2.15a
- reintroduce in contrib

*Thu Nov 15 2001 Lenn Cartier <lenny@mandrakesoft.com> 2.2.12a-1mdk
- 2.2.12a

* Tue Jun 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.9-1mdk
- updated to 2.2.9
- fix url

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.7-1mdk
- updated to 2.2.7

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- upgraded to 2.2.3

* Wed Jul 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.1-1mdk
- upgraded to v2.2.1
- BM
- macros

* Thu Apr 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-2mdk
- fix group

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- build for mandrake

* Mon Jan 11 1999 Ryan Weaver <ryanw@infohwy.com>
  [aee-2.2.0-1]
- First RPM.
- Patch to move help files, etc. from /usr/local/lib to /usr/lib/aee

